Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Marc Zyngier <[email-masked]>
Date: Fri, 1 Jun 2018 09:23:25 +0100

Hi Stephen,

On 01/06/18 07:23, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kvm-arm tree got conflicts in:
> 
> arch/arm64/include/asm/kvm_host.h arch/arm64/kvm/hyp/switch.c
> 
> between commit:
> 
> 55e3748e8902 ("arm64: KVM: Add ARCH_WORKAROUND_2 support for
> guests")
> 
> from the arm64 tree and commits:
> 
> fa89d31c5306 ("KVM: arm64: Repurpose vcpu_arch.debug_flags for
> general-purpose flags") e6b673b741ea ("KVM: arm64: Optimise FPSIMD
> handling to reduce guest/host thrashing")
> 
> from the kvm-arm tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This 
> is now fixed as far as linux-next is concerned, but any non
> trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to
> consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.
> 

All three resolutions look correct to me.

Thanks,

	M.
-- 
Jazz is not dead. It just smells funny...